Skip to main content
GET
/
public
/
v2
/
contracts
/
{record_id}
Get Contract
curl --request GET \
  --url https://api.dualentry.com/public/v2/contracts/{record_id}/ \
  --header 'X-API-KEY: <api-key>'
{
  "id": 123,
  "number": 123,
  "name": "<string>",
  "memo": "<string>",
  "date": "2023-12-25",
  "start_date": "2023-12-25",
  "bill_to_address": "<string>",
  "ship_to_address": "<string>",
  "billing_start_date": "2023-12-25",
  "billing_interval": 123,
  "recognition_start_date": "2023-12-25",
  "recognition_interval": 123,
  "is_incomplete": true,
  "is_locked": true,
  "revenue_recognitions": [
    {
      "id": 123,
      "number": 123,
      "contract_id": 123,
      "date": "2023-12-25",
      "transaction_date": "2023-12-25",
      "amount": "<string>",
      "transaction_id": 123,
      "income_account_id": 123,
      "deferrered_revenue_account_id": 123,
      "performance_obligation_id": 123
    }
  ],
  "invoices": [
    {
      "id": 123,
      "number": 123,
      "date": "2023-12-25",
      "due_date": "2023-12-25",
      "amount": "<string>",
      "tax_amount": "<string>",
      "paid_total": "<string>",
      "source": "<string>",
      "term_id": 123
    }
  ],
  "obligations": [
    {
      "position": 123,
      "memo": "<string>",
      "is_incomplete": true,
      "amount": "<string>",
      "discount_amount": "<string>",
      "net_amount": "<string>",
      "qualifies_for_mrr": true,
      "item_type": "<string>",
      "hsn_sac_code": "<string>",
      "id": 123,
      "item_id": 123,
      "quantity": "<string>",
      "rate": "<string>",
      "standalone_selling_price": "<string>",
      "term_id": 123,
      "billing_group": 1,
      "recognition_strategy": "straight_line",
      "obligation_conditions": {},
      "classifications": [],
      "billing_start_date": "2023-12-25",
      "billing_end_date": "2023-12-25",
      "billing_interval": 123,
      "sync_billing_with_recognition": false,
      "skip_invoice_generation": false,
      "recognition_start_date": "2023-12-25",
      "recognition_end_date": "2023-12-25",
      "recognition_interval": 123,
      "discount_value": "<string>",
      "is_auto_renewable": false,
      "auto_renewal_date": "2023-12-25",
      "renewed_from_id": 123,
      "changed_from_id": 123,
      "change_lineage_root_id": 123
    }
  ],
  "obligation_usage": [
    {
      "id": 123,
      "contract_id": 123,
      "obligation_id": 123,
      "usage_date": "2023-12-25",
      "quantity": "<string>",
      "amount": "<string>",
      "effective_rate": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "rate": "<string>",
      "revenue_recognition_id": 123,
      "invoice_status": "<string>",
      "memo": "",
      "classifications": []
    }
  ],
  "amount": "<string>",
  "metrics": {
    "mrr": "<string>",
    "arr": "<string>",
    "amount_invoiced": "<string>",
    "invoices_paid": "<string>",
    "revenue_recognized": "<string>",
    "unbilled_revenue": "<string>",
    "unrecognized_revenue": "<string>",
    "deferred_revenue": "<string>",
    "total_contract_value": "<string>",
    "amount_invoiced_percentage": "<string>",
    "invoices_paid_percentage": "<string>",
    "revenue_recognized_percentage": "<string>",
    "next_invoice_date": "2023-12-25",
    "total_discount_amount": "0",
    "total_tax_amount": "0"
  },
  "custom_fields": [],
  "completed_approvals_count": 0,
  "total_approvals_count": 0,
  "integration_remote_records": [],
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "customer_id": 123,
  "customer_name": "<string>",
  "term_id": 123,
  "contract_template_id": 123,
  "end_date": "2023-12-25",
  "billing_address": {
    "street": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "state": "",
    "country": "",
    "second_line": "",
    "name": "<string>"
  },
  "shipping_address": {
    "street": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "state": "",
    "country": "",
    "second_line": "",
    "name": "<string>"
  },
  "billing_anchor_weekday": 123,
  "recognition_anchor_weekday": 123,
  "cutover_date": "2023-12-25",
  "prior_recognized_amount": "<string>",
  "default_early_termination_fee": "<string>",
  "workflow_status": "<string>",
  "pending_approvers_count": 0,
  "payment": {
    "type": "<string>",
    "id": 123,
    "body": "<string>",
    "link": "<string>"
  },
  "renewed_end_date": "2023-12-25",
  "next_renewal_date": "2023-12-25",
  "days_till_expiry": 123,
  "terminations": [],
  "termination": {
    "id": 123,
    "number": 123,
    "contract_id": 123,
    "termination_type": "<string>",
    "termination_date": "2023-12-25",
    "transaction_id": 123,
    "memo": "<string>",
    "date": "2023-12-25",
    "early_termination_fee": "<string>",
    "early_termination_fee_item_id": 123,
    "fee_invoice_id": 123,
    "refund_amount": "<string>",
    "refund_credit_account_id": 123
  },
  "change_orders": [],
  "customer_credits": [],
  "cached_metrics": {
    "tcv": "<string>",
    "mrr": "0",
    "arr": "0",
    "amount_invoiced_percentage": "<string>",
    "revenue_recognized": "0",
    "revenue_recognized_percentage": "<string>",
    "next_invoice_date": "2023-12-25"
  },
  "approval_info": {
    "workflow_name": "<string>",
    "workflow_version": 123,
    "step_name": "<string>",
    "current_substep": 123,
    "substeps": [
      {
        "order": 123,
        "approvers": [
          {
            "id": 123,
            "first_name": "<string>",
            "last_name": "<string>",
            "email": "<string>",
            "full_name": "<string>",
            "avatar_url": "<string>"
          }
        ],
        "approved_by": [
          {
            "id": 123,
            "first_name": "<string>",
            "last_name": "<string>",
            "email": "<string>",
            "full_name": "<string>",
            "avatar_url": "<string>"
          }
        ],
        "rejected_by": [
          {
            "id": 123,
            "first_name": "<string>",
            "last_name": "<string>",
            "email": "<string>",
            "full_name": "<string>",
            "avatar_url": "<string>"
          }
        ]
      }
    ]
  },
  "approval_chain": {
    "workflow_name": "<string>",
    "workflow_version": 123,
    "steps": [
      {
        "order": 123,
        "name": "<string>",
        "substeps": [
          {
            "order": 123,
            "approvers": [
              {
                "id": 123,
                "first_name": "<string>",
                "last_name": "<string>",
                "email": "<string>",
                "full_name": "<string>",
                "avatar_url": "<string>"
              }
            ],
            "approved_by": [
              {
                "id": 123,
                "first_name": "<string>",
                "last_name": "<string>",
                "email": "<string>",
                "full_name": "<string>",
                "avatar_url": "<string>"
              }
            ],
            "rejected_by": [
              {
                "id": 123,
                "first_name": "<string>",
                "last_name": "<string>",
                "email": "<string>",
                "full_name": "<string>",
                "avatar_url": "<string>"
              }
            ]
          }
        ],
        "approvers": [
          {
            "id": 123,
            "first_name": "<string>",
            "last_name": "<string>",
            "email": "<string>",
            "full_name": "<string>",
            "avatar_url": "<string>"
          }
        ],
        "approved_by": [
          {
            "id": 123,
            "first_name": "<string>",
            "last_name": "<string>",
            "email": "<string>",
            "full_name": "<string>",
            "avatar_url": "<string>"
          }
        ],
        "rejected_by": [
          {
            "id": 123,
            "first_name": "<string>",
            "last_name": "<string>",
            "email": "<string>",
            "full_name": "<string>",
            "avatar_url": "<string>"
          }
        ]
      }
    ]
  },
  "bank_match_status": "<string>",
  "contract_attachments": [],
  "change_orders_attachments": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_id
integer
required

Response

OK

Full detail schema — extends list schema with attachments and obligation usage.

id
integer
required
number
integer
required
name
string
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
memo
string
required
date
string<date>
required
start_date
string<date>
required
bill_to_address
string
required
ship_to_address
string
required
billing_start_date
string<date>
required
billing_frequency
enum<string>
required
Available options:
one_time,
daily,
weekly,
monthly,
quarterly,
semi_annually,
annually
billing_interval
integer
required
recognition_start_date
string<date>
required
recognition_frequency
enum<string>
required
Available options:
one_time,
daily,
weekly,
monthly,
quarterly,
semi_annually,
annually
recognition_interval
integer
required
is_incomplete
boolean
required
status
enum<string>
required
Available options:
draft,
active,
completed,
terminated,
archived
record_status
enum<string>
required
Available options:
draft,
posted,
archived
is_locked
boolean
required
revenue_recognitions
RevenueRecognitionSchemaOut · object[]
required
invoices
ContractInvoiceSchemaOut · object[]
required
obligations
PerformanceObligationOut · object[]
required
obligation_usage
ObligationUsageSchemaOut · object[]
required
amount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
metrics
ContractMetricsSchemaOut · object
required
read-only

Derived contract metrics (MRR, ARR, TCV, invoiced, recognized, etc.).

custom_fields
CustomFieldValuePairOutputSchema · object[]
completed_approvals_count
integer
default:0
total_approvals_count
integer
default:0
integration_remote_records
IntegrationRemoteRecordSchemaOut · object[]
company_id
integer | null
company_name
string | null
company_currency
string | null
customer_id
integer | null
customer_name
string | null
term_id
integer | null
contract_template_id
integer | null
end_date
string<date> | null
billing_address
AddressSchemaIn · object
shipping_address
AddressSchemaIn · object
billing_anchor_weekday
integer | null
recognition_anchor_weekday
integer | null
cutover_date
string<date> | null
prior_recognized_amount
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
default_early_termination_fee
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
workflow_status
string | null
pending_approvers_count
integer
default:0
payment
PaymentSchemaOut · object

Schema for payment collection configuration output.

renewed_end_date
string<date> | null
next_renewal_date
string<date> | null
days_till_expiry
integer | null
terminations
EmbeddedTerminationSchemaOut · object[]
termination
EmbeddedTerminationSchemaOut · object
change_orders
EmbeddedChangeOrderSchemaOut · object[]
customer_credits
ContractCustomerCreditSchemaOut · object[]
cached_metrics
ContractCachedMetricsSchemaOut · object

Precomputed contract metrics from the cache table.

approval_info
ApprovalInfoSchema · object

Schema for complete approval workflow information.

approval_chain
ApprovalChainSchema · object

Full approval chain.

bank_match_status
string | null
contract_attachments
AttachmentSchemaOut · object[]
change_orders_attachments
AttachmentSchemaOut · object[]
Last modified on May 29, 2026